
From: Matthew Wilcox <willy@debian.org>

Linux is really far too verbose at boot time.  I don't think these messages
add anything to either the end user experience or debug ability.

Jens acked this change.


 25-akpm/fs/bio.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN fs/bio.c~remove-bio-boot-messages fs/bio.c
--- 25/fs/bio.c~remove-bio-boot-messages	Mon Aug 25 12:57:56 2003
+++ 25-akpm/fs/bio.c	Mon Aug 25 12:57:56 2003
@@ -793,10 +793,6 @@ static void __init biovec_init_pools(voi
 					mempool_free_slab, bp->slab);
 		if (!bp->pool)
 			panic("biovec: can't init mempool\n");
-
-		printk("biovec pool[%d]: %3d bvecs: %3d entries (%d bytes)\n",
-						i, bp->nr_vecs, pool_entries,
-						size);
 	}
 }
 
@@ -810,8 +806,6 @@ static int __init init_bio(void)
 	if (!bio_pool)
 		panic("bio: can't create mempool\n");
 
-	printk("BIO: pool of %d setup, %ZuKb (%Zd bytes/bio)\n", BIO_POOL_SIZE, BIO_POOL_SIZE * sizeof(struct bio) >> 10, sizeof(struct bio));
-
 	biovec_init_pools();
 
 	bio_split_pool = mempool_create(BIO_SPLIT_ENTRIES, bio_pair_alloc, bio_pair_free, NULL);

_
